> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1businesses



## OpenAPI

````yaml /api-reference/openapi.json post /v1/businesses
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses:
    post:
      tags:
        - Businesses
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DTOBusinessCreateRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/DTOBusinessCreateRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/DTOBusinessCreateRequest'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BusinessSBBusinessResponse'
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
components:
  schemas:
    DTOBusinessCreateRequest:
      required:
        - address
        - name
      type: object
      properties:
        name:
          type: string
          nullable: true
        address:
          $ref: '#/components/schemas/DTOAddressRequest'
        customerSupport:
          $ref: '#/components/schemas/BusinessCustomerSupportRequest'
        logo:
          $ref: '#/components/schemas/ImagesImageUploadRequest'
        timezone:
          type: string
          nullable: true
        currency:
          type: string
          nullable: true
        website:
          type: string
          nullable: true
        phoneNumber:
          type: string
          nullable: true
        locale:
          type: string
          nullable: true
        isMerchant:
          type: boolean
        plan:
          type: string
          nullable: true
        billingInterval:
          type: string
          nullable: true
      additionalProperties: false
    BusinessSBBusinessResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        name:
          type: string
          nullable: true
        address:
          $ref: '#/components/schemas/DTOAddress'
        currency:
          type: string
          nullable: true
        slug:
          type: string
          nullable: true
        timezone:
          type: string
          nullable: true
        website:
          type: string
          nullable: true
        phoneNumber:
          type: string
          nullable: true
        logo:
          type: string
          nullable: true
        locale:
          type: string
          nullable: true
        brand:
          $ref: '#/components/schemas/BusinessSBBusinessBrandResponse'
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
          nullable: true
        billingCheckoutUrl:
          type: string
          nullable: true
      additionalProperties: false
    DTOAddressRequest:
      type: object
      properties:
        line1:
          type: string
          nullable: true
        line2:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        stateCode:
          type: string
          nullable: true
        countryCode:
          type: string
          nullable: true
        postalCode:
          type: string
          nullable: true
      additionalProperties: false
    BusinessCustomerSupportRequest:
      type: object
      properties:
        email:
          type: string
          nullable: true
        url:
          type: string
          nullable: true
        privacyPolicyUrl:
          type: string
          nullable: true
        termsAndConditionsUrl:
          type: string
          nullable: true
      additionalProperties: false
    ImagesImageUploadRequest:
      type: object
      properties:
        fileName:
          type: string
          nullable: true
        contentType:
          type: string
          nullable: true
        stream:
          type: string
          format: binary
          nullable: true
        base64:
          type: string
          nullable: true
        url:
          type: string
          nullable: true
        file:
          type: string
          format: binary
          nullable: true
        note:
          type: string
          nullable: true
        altText:
          type: string
          nullable: true
      additionalProperties: false
    DTOAddress:
      type: object
      properties:
        line1:
          type: string
          nullable: true
        line2:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        stateCode:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        countryCode:
          type: string
          nullable: true
        postalCode:
          type: string
          nullable: true
        location:
          $ref: '#/components/schemas/AddressesCoordinates'
        googlePlaceId:
          type: string
          nullable: true
        formattedAddress:
          type: string
          nullable: true
      additionalProperties: false
    BusinessSBBusinessBrandResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        logo:
          type: string
          nullable: true
        icon:
          type: string
          nullable: true
        coverImage:
          type: string
          nullable: true
        primaryColor:
          type: string
          nullable: true
        secondaryColor:
          type: string
          nullable: true
        facebook:
          type: string
          nullable: true
        instagram:
          type: string
          nullable: true
        linkedIn:
          type: string
          nullable: true
        twitter:
          type: string
          nullable: true
        youTube:
          type: string
          nullable: true
        tikTok:
          type: string
          nullable: true
        googleAnalyticsId:
          type: string
          nullable: true
        gtmId:
          type: string
          nullable: true
      additionalProperties: false
    AddressesCoordinates:
      type: object
      properties:
        longitude:
          type: number
          format: double
        latitude:
          type: number
          format: double
      additionalProperties: false

````